| AI Engine Intrinsics User Guide (AIE) v2025.2

Loading...
Searching...
No Matches
Native stream access

These functions setup stream accesses in native mode. More...

## Overview

These functions setup stream accesses in native mode.

Streams are connected to some source/destination outside of the core. In the mesimulator setup they are connected to a file. In native there exists only the kernel code. These functions therefore connect a stream to a file under the hood. "open_ss0" for example allocates a file object. Further calls to "get_ss" will read from this internally.

Read and write to streams as normal. See Streams.

## Open and close
These functions are not intrinsics and exist to facilitate the creation of "testbench" code for native mode.
void | open_ss0 (std::string const &filename, int width)
void | open_ss1 (std::string const &filename, int width)
void | open_ms0 (std::string const &filename, int width)
void | open_ms1 (std::string const &filename, int width)
void | open_scd (std::string const &filename, int width)
void | open_mcd (std::string const &filename, int width)
void | close_ss0 ()
void | close_ss1 ()
void | close_ms0 ()
void | close_ms1 ()
void | close_scd ()
void | close_mcd ()
unsigned int | get_ss0_tlast ()
void | set_ss0_tlast ()
void | clr_ss0_tlast ()
unsigned int | get_ss1_tlast ()
void | set_ss1_tlast ()
void | clr_ss1_tlast ()
unsigned int | get_wss0_tlast ()
void | set_wss0_tlast ()
void | clr_wss0_tlast ()
unsigned int | get_wss1_tlast ()
void | set_wss1_tlast ()
void | clr_wss1_tlast ()
unsigned int | get_ss0_success ()
void | set_ss0_success ()
void | clr_ss0_success ()
unsigned int | get_ss1_success ()
void | set_ss1_success ()
void | clr_ss1_success ()
unsigned int | get_ms0_success ()
void | set_ms0_success ()
void | clr_ms0_success ()
unsigned int | get_ms1_success ()
void | set_ms1_success ()
void | clr_ms1_success ()
#define | ACCESS_STREAM_BIT(name, var)

## Macro Definition Documentation

## ◆ ACCESS_STREAM_BIT

#define ACCESS_STREAM_BIT | ( |  | name,
|  |  | var
| ) |  |

Value:
inline unsigned int get_##name () { return me_primitive::var; } \
inline void set_##name () { me_primitive::var = 1; } \
inline void clr_##name () { me_primitive::var = 0; }

## Function Documentation

## ◆ close_mcd()

void close_mcd | ( |  | ) |

## ◆ close_ms0()

void close_ms0 | ( |  | ) |

## ◆ close_ms1()

void close_ms1 | ( |  | ) |

## ◆ close_scd()

void close_scd | ( |  | ) |

## ◆ close_ss0()

void close_ss0 | ( |  | ) |

## ◆ close_ss1()

void close_ss1 | ( |  | ) |

## ◆ clr_ms0_success()

void clr_ms0_success | ( |  | ) |

## ◆ clr_ms1_success()

void clr_ms1_success | ( |  | ) |

## ◆ clr_ss0_success()

void clr_ss0_success | ( |  | ) |

## ◆ clr_ss0_tlast()

void clr_ss0_tlast | ( |  | ) |

## ◆ clr_ss1_success()

void clr_ss1_success | ( |  | ) |

## ◆ clr_ss1_tlast()

void clr_ss1_tlast | ( |  | ) |

## ◆ clr_wss0_tlast()

void clr_wss0_tlast | ( |  | ) |

## ◆ clr_wss1_tlast()

void clr_wss1_tlast | ( |  | ) |

## ◆ get_ms0_success()

unsigned int get_ms0_success | ( |  | ) |

## ◆ get_ms1_success()

unsigned int get_ms1_success | ( |  | ) |

## ◆ get_ss0_success()

unsigned int get_ss0_success | ( |  | ) |

## ◆ get_ss0_tlast()

unsigned int get_ss0_tlast | ( |  | ) |

## ◆ get_ss1_success()

unsigned int get_ss1_success | ( |  | ) |

## ◆ get_ss1_tlast()

unsigned int get_ss1_tlast | ( |  | ) |

## ◆ get_wss0_tlast()

unsigned int get_wss0_tlast | ( |  | ) |

## ◆ get_wss1_tlast()

unsigned int get_wss1_tlast | ( |  | ) |

## ◆ open_mcd()

void open_mcd | ( | std::string const & | filename,
|  | int | width
| ) |  |

## ◆ open_ms0()

void open_ms0 | ( | std::string const & | filename,
|  | int | width
| ) |  |

## ◆ open_ms1()

void open_ms1 | ( | std::string const & | filename,
|  | int | width
| ) |  |

## ◆ open_scd()

void open_scd | ( | std::string const & | filename,
|  | int | width
| ) |  |

## ◆ open_ss0()

void open_ss0 | ( | std::string const & | filename,
|  | int | width
| ) |  |

## ◆ open_ss1()

void open_ss1 | ( | std::string const & | filename,
|  | int | width
| ) |  |

## ◆ set_ms0_success()

void set_ms0_success | ( |  | ) |

## ◆ set_ms1_success()

void set_ms1_success | ( |  | ) |

## ◆ set_ss0_success()

void set_ss0_success | ( |  | ) |

## ◆ set_ss0_tlast()

void set_ss0_tlast | ( |  | ) |

## ◆ set_ss1_success()

void set_ss1_success | ( |  | ) |

## ◆ set_ss1_tlast()

void set_ss1_tlast | ( |  | ) |

## ◆ set_wss0_tlast()

void set_wss0_tlast | ( |  | ) |

## ◆ set_wss1_tlast()

void set_wss1_tlast | ( |  | ) |